<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <title>Document</title>
    <style>
        .pointer{
            cursor: pointer;
        }
    </style>
</head>

<body>
    <div class="container-fluid">
        <div class="row text-center">
            <div class="col-sm-12">
                <h4>Danh sách học viên</h4>
            </div>

        </div><br><br>
        <div class="row">
            <button class="text-white btn btn-success" style="margin-left: 30px;" id="btn-add-student"><i
                    class="fas fa-plus"></i>&nbsp;&nbsp;Thêm học viên</button>
        </div><br>
        <div class="row">
            <div class="col-sm-12 text-center">
                <table class="table table-bordered table-striped table-hover" id="student-table">
                    <thead>
                        <tr class="text-dark">
                            <th>Họ tên</th>
                            <th>Ngày sinh</th>
                            <th>Email</th>
                            <th>Số điện thoại</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
    </div>
</body>

<script>

    var gStudent = null;

    $(document).ready(function () {
        onPageLoading();
    });

    $(document).on("click", ".fa-edit", function(){
        onBtnGetIdClick(this);
    });

    $(document).on("click", ".fa-trash-alt", function(){
        onBtnGetIdClick(this);
    });

    $(document).on("click", "#btn-add-student", function(){
        moveToAddStudent();
    });

    function moveToAddStudent(){
        window.location.href = "addStudent.html";
    }

    function onBtnGetIdClick(paramElement){
        var vName = $(paramElement).closest("tr").find("td:eq(0)").text();
        var vStudentId = getStudentIdFromName(vName);
        console.log(vStudentId);
    }

    function getStudentIdFromName(paramName){
        var vFound = false;
        var vResult = null;
        var vIndex = 0;
         while(!vFound && vIndex < gStudent.length){
             if(gStudent[vIndex].name == paramName){
                 vFound = true;
                 vResult = gStudent[vIndex].id;
             }
             vIndex++;
         }
         return vResult;
    }

    function onPageLoading() {
        $.ajax({
            url: "https://devcamp-student.herokuapp.com/users/",
            type: "GET",
            async: false,
            success: function (data) {
                gStudent = data;
                loadDataToTable(data);
            },
            error: function(){
                alert("fail");
            }
        })
    }

    function loadDataToTable(paramData) {
        var vTable = $("#student-table tbody");
        for (var student of paramData) {
            var vRow = $("<tr>").appendTo(vTable);
            $("<td>", { html: student.name }).appendTo(vRow);
            $("<td>", { html: student.birthday }).appendTo(vRow);
            $("<td>", { html: student.email }).appendTo(vRow);
            $("<td>", { html: student.phone }).appendTo(vRow);
            $("<td>", { html: `<i class="fas fa-edit text-info pointer">&nbsp;Chỉnh sửa</i>` + " | " + `<i class="fas fa-trash-alt text-danger pointer">&nbsp;Xóa</i>` }).appendTo(vRow);
        }
    }
</script>

</html>